/* Deklaration der Variablen die für das gesamte CSS gelten */
:root {
    --bgcolor: #1d1c1c;
    --bgcolor2: #142a0e;
    --bgcolor3: #1f3f15;
    --textcolor: #e1c9a8;
    --highlightcolor: #CC8B65;
    --linkHover-color: #fcf7d1;
    --text-color-heavy: #f75e38;
    --text-color-notice: #77ca5b;
}

body {  color: var(--textcolor);
        background: var(--bgcolor);
        max-width: 1000px;
        margin: 0 auto;
        font-family:Verdana, Geneva, Tahoma, sans-serif;
        text-align: center; }

h1 {    text-align: center; }

.fehler {
    color: var(--text-color-heavy);
    font-weight: bold;
    /* margin-left: 4em; */
    text-align: center;
}

.meldung {
    color: var(--text-color-notice);
    font-weight: bold;
    text-align: center;
}

.previousNextNavigation {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--bgcolor2);
}
.previousNextNavigation-item {
    display: flex;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
    width: 50%;
    padding: 0.3em;
    background-color: var(--bgcolor2);
    color: var(--textcolor);
    font-size: 1.1em;
    font-size: clamp(0.8em, 1.7vw, 1.1em);
    border-radius: 2mm;
}

.previousNextNavigation-item:hover {
    background-color: rgba(100, 100, 100, 0.5);
}

a {     color: var(--highlightcolor);
        text-decoration: none; }

input { background-color: var(--textcolor); }

.login-table {  background-color: var(--bgcolor2);
                margin: 0.5em auto;
                border-radius: 0.6em;
                padding: 0.5em 2em; }

.login-td {        padding: 0.5em; }

button {
    display: inline-block;
    text-align: center;
    background-color: var(--bgcolor3);
    color: var(--textcolor);
    font-size: 1.2em;
    border-radius: 8px;
    border: none;
    margin: 10px;
    padding-left: 30px;
    padding-right: 30px;
    cursor: pointer;
    width: 180px;
}
button > span {
    display: inline-block;
    position: relative;
    transition: 0.5s;
}
button span:after {
  content: '\00bb';
  position: absolute;
  right: -20px;
  opacity: 0;
  transition: 0.5s;
}
button:hover span {
  padding-right: 15px;
}
button:hover span:after {
  opacity: 1;
  right: 0;
}

.tippeinsicht-punkte {
    color: var(--text-color-heavy);
    font-size: 0.7em;
    font-size: clamp(0.7em, 0.8vw, 0.9em);

}

.tippeinsicht-gesPunkte {
    color: var(--text-color-heavy);
    font-size: 1.1em;
    font-size: clamp(0.8em, 0.8vw, 1,2em);
    font-weight: bold;
}

.tabelle-legende {
    font-weight: bold;
    padding-top: 1em;
    padding-bottom: 2em;
}

.regeln-absatz {
    text-align: left;
    padding-left: 6vw;
    padding-right: 6vw;
}

.regeln-headline {
    text-align: left;
    padding-top: 1.5vw;
    padding-left: 6vw;
    padding-right: 6vw;
}

.regeln-liste {
    text-align: left;
    padding-left: 9vw;
    padding-right: 9vw;
}

/* Auf "Registrieren" benutzt */
input[type='checkbox'] {
    scale: 1.8;
}

/* -------- Navigation -------- */
 
    .menu {
        width: 100%;
        height: fit-content;
        box-sizing: border-box;
        background: var(--bgcolor2);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .logo {
        width: fit-content;
        font-size: 1.2em;
        color: var(--textcolor);
        font-weight: 600;
        padding: 0.5em;
        box-sizing: border-box;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    #menu {
        display: none;
    }
    .logo label {
        display: none;
    }
    .items {
        width: fit-content;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .item {
        padding: 10px 18px;
        box-sizing: border-box;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 2mm;
        font-size: 1.1em;
        font-size: clamp(0.8em, 1.7vw, 1.1em);
        color: var(--link-color);
        text-decoration: none;
    }
    .item:hover {
        background: rgba(100, 100, 100, 0.5);
    }

/* -------- ENDE Navigation ----------- */

/* -------- START Navigation Spieltage -------- */
    .tippen-menu {
        width: 100%;
        height: fit-content;
        box-sizing: border-box;
        background: var(--bg-color2);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .tippen-logo {
        width: fit-content;
        font-size: 1.5em;
        color: var(--textcolor);
        font-weight: 600;
        padding: 0.5em;
        box-sizing: border-box;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    #tippen-menu {
        display: none;
    }
    .tippen-logo label {
        display: none;
    }
    .tippen-items {
        width: fit-content;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-flow: wrap;
    }
    .tippen-item {
        padding: 5px 11px;
        box-sizing: border-box;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 2mm;
        font-size: 0.9em; /* als fallback für ältere Browser */
        font-size: clamp(0.6em, 1.6vw, 1em);
        color: var(--highlightcolor);
        text-decoration: none;
    }
    .tippen-item:hover {
        background: rgba(77, 127, 90, 0.497);
    }
/* ------- ENDE Navigation Spieltage -------- */

/* ------- START Tabelle (Tippen, Tabelle ....) --------- */

table {
    border-collapse: collapse;
    border: 0;
    font-size: 1em; /* als fallback für ältere Browser */
    font-size: clamp(0.6em, 1.6vw, 1em);
    margin-top: 0.5em;
    margin-left: auto;
    margin-right: auto;
}

tr:nth-child(odd) {
    /* ungerade Zeilen der Tabelle */
    background-color: var(--bgcolor2);
    border-collapse: collapse;
    border: 0;
}

tr:nth-child(even) {
    /* gerade Zeilen der Tabelle */
    background-color: var(--bgcolor3);
    border-collapse: collapse;
}

th {
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
    padding-left: 0.6rem;
    padding-right: 0.6rem;
}

td {
    border-collapse: collapse;
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
    padding-left: 0.6rem;
    padding-right: 0.6rem;
}

.tippen-input {
        padding: 0.3em;
        text-align: center;
        border: 0em;
    }

.tdLeft {
    text-align: left;
    padding-left: 0.3rem;
}

.tdRight {
    text-align: right;
    padding-right: 0.3rem;
}

.tdCenter {
    text-align: center;
}
/* ------- ENDE Tabelle (Tippen, Tabelle ....) --------- */

/* ENDE breites Browserfenster */

/* ------ Bereich für breites Browserfenster: Dinge die nur hier gelten. -------- */
@media (width >770px) {
    
    /* für Vereinsnamen in der Tippentabelle: Anwendung als Klasse für <span> */
    .grossSichtbar {
        display: inline;
    }
    .kleinSichtbar {
        display: none;
    }
}

/*  ----- Bereich für Mobil -----  */
@media (width <= 770px) {

    body {
        width: 100%;
    }

    .banner {
        width: 100%;
    }

    .tippen-input {
        padding: 0.2em;
        text-align: center;
        border: 0em;
        width: 1em;
    }

    /* für Vereinsnamen in der Tippentabelle: Anwendung als Klasse für <span> */
    .grossSichtbar {
        display: none;
    }
    .kleinSichtbar {
        display: inline;
    }

    /* ---------- START Navigation kleines Display --------- */
    .menu {
        flex-direction: column;
    }
    .menu .logo {
        width: 100%;
    }
    .menu .logo label {
        display: block;
        cursor: pointer;
        position: relative;
        width: 30px;
        height: 30px;
    }
    .menu .logo label::before {
        position: absolute;
        content: "\2630";
        top: 0;
        left: 0;
        font-size: 30px;
    }
    .menu .items {
        width: 100%;
        flex-direction: column;
        max-height: 0;
        overflow: hidden;
        transition: 0.5s ease-in-out;
    }
    .menu .item {
        width: 100%;
        padding: 15px;
        border-radius: 0;
        border-top: 1px solid rgb(97, 98, 82);
    }
    #menu:checked ~ .items {
        max-height: 500px;
    }
    #menu:checked ~ .logo label::before {
        content: "\0058";
    }
    /* ---------- ENDE Navigation kleines Display --------- */

    /* -------- START Tabelle (Tippen, Tabelle, ...) kleines Display --------- */
    table {
        border-collapse: collapse;
        border: 0;
        font-size: 0.8em;
        font-size: clamp(0.7em, 1.6vw, 1.1em);
        /* TODO:  Tabelle für kleine Handys anpassen */
    }

    td {
        border-collapse: collapse;
        padding-top: 0.1em;
        padding-bottom: 0.1em;
        padding-left: 0.1em;
        padding-right: 0.1em;
    }

    th {
        padding-top: 0.4rem;
        padding-bottom: 0.4rem;
        padding-left: 0.2rem;
        padding-right: 0.2rem;
    }

    /* -------- ENDE Tabelle (Tippen, Tabelle, ...) kleines Display ----------- */



    /* ---------- START Tippen kleines Display --------- */

    .tippen-menu {
        flex-direction: column;
    }
    .tippen-menu .tippen-logo {
        width: 100%;
        
    }
    .tippen-menu .tippen-logo label {
        display: block;
        cursor: pointer;
        position: relative;
        width: 100%;
        height: 20px;
    }
    .tippen-menu .tippen-logo label::before {
        position: absolute;
        content: "Auswahl";
        top: 0;
        right: 0;
        font-size: 0.9em;
    }
    .tippen-menu .tippen-items {
        width: 100%;
        flex-direction: column;
        max-height: 0;
        overflow: hidden;
        transition: 0.5s ease-in-out;
        background-color: #263329;
    }
    .tippen-menu .tippen-item {
        width: 100%;
        padding: 5px;
        border-radius: 0;
        border-top: 1px solid rgb(97, 98, 82);
    }
    #tippen-menu:checked ~ .tippen-items {
        max-height: 500px;
    }
    #tippen-menu:checked ~ .tippen-logo label::before {
        content: "\0058";
    }
    /* ---------- ENDE Navigation kleines Display --------- */


}   /* -------- ENDE Kleines Display ---------- */


/* Bereich ab 1000px und kleiner -> Banner passt sich an */
@media ( width <= 1000px ) {
    /* ab 1000px damit das Banner sich anpasst */
    body {
        width: 100%;
    }

    .banner {
        width: 100%;
    }
}
/* ENDE Banner wird kleiner Geräte */

